Bug 128420 - Missing input elements on https://daga.dyndns.org/login.php
Summary: Missing input elements on https://daga.dyndns.org/login.php
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml parsing (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Allan Sandfeld
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-01 09:05 UTC by Rohan Dhruva
Modified: 2006-06-17 22:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rohan Dhruva 2006-06-01 09:05:17 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc (GCC) 4.0.4 20060507 (prerelease) (Debian 4.0.3-3) Also tested on a system with gcc 4.1
OS:                Linux

When opening the mentioned page in konqueror - https://daga.dyndns.org/login.php - no input elements are displayed, where I can enter username and password. The page is rendered correctly in firefox and opera. The page is 'standards compliant' too, http://validator.w3.org/check?uri=https%3A%2F%2Fdaga.dyndns.org%2Flogin.php

Though I have reported the problem against kde 3.5.3, it occurs even in kde 3.5.2. The rendering is 'broken' on all distributions. And on the same site, other input boxes, like the one here - https://daga.dyndns.org/filebin.php - work perfectly.
Comment 1 Maksim Orlovich 2006-06-01 15:46:11 UTC
<form><table> mess again..
Comment 2 Allan Sandfeld 2006-06-16 18:53:13 UTC
Not mess. It actually looks right. <form><table> not <table><form>
Comment 3 Allan Sandfeld 2006-06-17 19:51:03 UTC
Okay. It is a mess. They just fuck it up using CSS instead of HTML. 

The <DIV> that contains the <FORM> is styled in CSS with 
.position {
	margin: 0 auto;
	display: table;
	padding-top: 20px;
	text-align: center;
}
Comment 4 Daga 2006-06-17 21:26:43 UTC
The CSS validates at w3.org. Konqueror will display the username/password fields if "display: table;" is removed from the style sheet, but from my understanding it is a legal configuration.
Comment 5 Allan Sandfeld 2006-06-17 22:40:30 UTC
SVN commit 552443 by carewolf:

Clean up handling of FORMs inside RenderTable's.
Patch merged from WebCore and improved to also fix bug #128420
BUG: 109304
BUG: 128420


 M  +2 -1      html/htmlparser.cpp  
 M  +175 -174  rendering/render_table.cpp  
 M  +5 -15     rendering/render_table.h  
Comment 6 Rohan Dhruva 2006-06-17 22:42:44 UTC
Thanks a lot for the prompt work in fixing the bug ! :)